Package es.imim.DISGENET.database

# Class JsonParser

java.lang.Object
es.imim.DISGENET.database.JsonParser

public class JsonParser extends Object

## Constructor Summary

Constructors
Constructor
Description
`JsonParser()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`Map<String,ArrayList<String>>`
`parseJSON(List<String> searchItems, Map<String,String> params, String urlType)`
`Map<String,ArrayList<String>>`
`parseJSON(List<String> searchItems, Map<String,String> params, String urlType, String searchItemCondition, String conditionValue)`
`Map<String,HashMap<String,String>>`
`parseJSONDict(Map<String,String> params, String urlType)`
`HashMap<String,ArrayList<String>>`
`parseJSONDictList(Map<String,String> params, String urlType)`
`HashMap<String,ArrayList<String>>`
`parseJSONDictList(Map<String,String> params, String urlType, String searchItemCondition, String conditionValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonParser

public JsonParser()

## Method Details

### parseJSON

public Map<String,ArrayList<String>> parseJSON(List<String> searchItems, Map<String,String> params, String urlType)

### parseJSON

public Map<String,ArrayList<String>> parseJSON(List<String> searchItems, Map<String,String> params, String urlType, String searchItemCondition, String conditionValue)

### parseJSONDict

public Map<String,HashMap<String,String>> parseJSONDict(Map<String,String> params, String urlType)

### parseJSONDictList

public HashMap<String,ArrayList<String>> parseJSONDictList(Map<String,String> params, String urlType)

### parseJSONDictList

public HashMap<String,ArrayList<String>> parseJSONDictList(Map<String,String> params, String urlType, String searchItemCondition, String conditionValue)

### main

public static void main(String[] args)